PList< T >::const_iterator Class Reference

`#include <lists.h>`

Inheritance diagram for PList< T >::const_iterator:

## Public Member Functions

| const_iterator (PListElement *e=NULL)
const_iterator | operator++ ()
const_iterator | operator-- ()
const_iterator | operator++ (int)
const_iterator | operator-- (int)
const T * | operator-> () const
const T & | operator* () const
Public Member Functions inherited from PList< T >::iterator_base
bool | operator== (const iterator_base &it) const
bool | operator!= (const iterator_base &it) const

## Additional Inherited Members

Protected Member Functions inherited from PList< T >::iterator_base
| iterator_base (PListElement *e)
void | Next ()
void | Prev ()
T * | Ptr () const
Protected Attributes inherited from PList< T >::iterator_base
PListElement * | element

## Constructor & Destructor Documentation

template<class T>

PList< T >::const_iterator::const_iterator | ( | PListElement * | e = `NULL` | ) |

inline

## Member Function Documentation

template<class T>

const T& PList< T >::const_iterator::operator* | ( |  | ) | const

inline

References PList< T >::iterator_base::Ptr().

template<class T>

const_iterator PList< T >::const_iterator::operator++ | ( |  | ) |

inline

References PList< T >::iterator_base::Next().

template<class T>

const_iterator PList< T >::const_iterator::operator++ | ( | int |  | ) |

inline

References PList< T >::iterator_base::Next().

template<class T>

const_iterator PList< T >::const_iterator::operator-- | ( |  | ) |

inline

References PList< T >::iterator_base::Prev().

template<class T>

const_iterator PList< T >::const_iterator::operator-- | ( | int |  | ) |

inline

References PList< T >::iterator_base::Prev().

template<class T>

const T* PList< T >::const_iterator::operator-> | ( |  | ) | const

inline

References PList< T >::iterator_base::Ptr().

The documentation for this class was generated from the following file:

- lists.h